class yaf::params {
 $config_template = 'yaf/yaf.conf.erb'
 $config_yaf_init_template = 'yaf/yaf.erb'
 $package_ensure  = 'present'
 $service_enable  = true
 $service_ensure = 'running'
 $service_manage = true
 $filestore = 'puppet:///files/YAF'
 $workspace = '/usr/src'
 $package   = 'yaf.tar.gz'
 $lib_fix_buf_folder = 'libfixbuf-1.4.0'
 $p0flib_folder = 'p0flib/libp0f'
 $yaf_folder = 'yaf-2.4.0'
 $yaf_init_folder = 'yaf-2.4.0/etc/init.d'
 $yaf_cap_if       = 'eth0'
 $yaf_ipfix_host   = 'flow.vitalview.net'
 $yaf_ipfix_port   = '9996'

 case $::osfamily {
     'redhat': {
      $config   = '/usr/local/etc/yaf.conf'
      $yaf_init = '/etc/init.d/yaf'
      $package_name =   [ 'yaf' ]
      $service_name =   'yaf'
  }
  default: {
      fail("The ${module_name} module is not supported on an ${::osfamily} based system.")
    }
 }
}

