class yaf::service (
 $service_ensure,
 $service_enable,
 $service_name,
 $service_manage,
)

{
 if ! ($service_ensure in [ 'running', 'stopped' ]) {
   fail('service_ensure parameter must be running or stopped')
 }
 if $service_manage == true {
   service { 'yaf':
     ensure     => $service_ensure,
     enable     => $service_enable,
     name       => $service_name,
     hasstatus  => true,
     hasrestart => true,
   }
 }
}

